Subject: Re: Our comments following the review of your SPA/Contract
From: YeniYolDenizcilik <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 23 Jun 2023 14:58:52 +0000

Dear Sir:

Thank you for sending us the Sales & Purchase Agreement (SPA). I would like to kindly point your attention to the following issues.

Your proposed SPA/Contract in many respects is virtually identical to ours. The changes we propose are as follows:

1) We propose that the Chinese language removed from the SPA.

3) We propose to remove Chinese law from the clause covering jurisdiction and arbitration as it’s not beneficial for you the Seller or us the Buyer. We propose instead to use English Law as the basis of the contract.

4) We propose utilizing an Escrow Service in Dubai as it is crucial to the transaction and the essential mechanism for the transaction. This method protects the Seller and the Buyer.

6) The Escrow will have 100% of the funds in the account within 24-48 hours after the Dip test results. Therefore we believe there is no need for a Bank Guarantee which will only delay the transaction.

7) I realize that time is of the essence and we will work round the clock to accommodate you the Seller however please note; the merits of our safe and simplified procedures.

8) Kindly name the company you will be utilizing as the Seller in the contract.

Should we succeed in executing this transaction we will be in a position to lift an additional 4 mill bbls over the July period!

Should you have any questions, please feel free to call me. As you I’m available every day 24/7.

I look forward to hearing from you

Cordially,

Antonio Eguren
Tel: +34 627 625 088
Email: [email-masked]